=== debian/changelog ===
crtmpserver (0.0~dfsg+svn421-2build1) oneiric; urgency=low

  * Rebuild for tinyxml 2.6.2.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 28 May 2011 09:19:42 +0200

crtmpserver (0.0~dfsg+svn421-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Bump Standards.

  [ Andriy Beregovenko ]
  * Add example basic configuration and init script
  * Update man page
  * Add debian readme
  * Add patch fixes issue with rvalue access first on some platforms
  * Add patch which fixes big endian implementation

  [ Reinhard Tartler ]
  * drop -Werror from CFLAGS (Closes: #625316)

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Sun, 08 May 2011 11:12:04 +0300

crtmpserver (0.0~dfsg+svn421-1) unstable; urgency=low

  * Initial release (Closes: #617641)

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Fri, 18 Mar 2011 14:30:08 +0200
