=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_BUILDDIR = obj-$(DEB_BUILD_GNU_TYPE)
DEB_PACKAGE_VERSION  := $(shell dpkg-parsechangelog | awk '/^Version/ {print $$2}')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_PACKAGE_VERSION) | cut -d '-' -f 1 | sed s,~,_, )
DEB_CONFIGURE_FLAGS = \
			-DCRTMPSERVER_INSTALL_PREFIX=/usr \
			-DTEMP_FRAMEWORK_VER="$(DEB_UPSTREAM_VERSION)" \
			-DCRTMPSERVER_SOURCES_ROOT=$(CURDIR)


%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)
