## crtmpserver 0.0~dfsg+svn474

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 	ENDIF(ENDIANESS)
 ENDIF(NOT DEFINED NO_ENDIANESS)
 
-#supported protocols
+#supported features
 ADD_DEFINITIONS(-DHAS_PROTOCOL_HTTP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMFP)
@@ -73,11 +73,42 @@
 ADD_DEFINITIONS(-DHAS_PROTOCOL_TS)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_VAR)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_CLI)
-ADD_DEFINITIONS(-DHAS_LUA)
+#ADD_DEFINITIONS(-DHAS_PROTOCOL_MMS)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP3)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP4)
 ADD_DEFINITIONS(-DHAS_MEDIA_FLV)
 ADD_DEFINITIONS(-DHAS_MEDIA_NSV)
+IF($ENV{COMPILE_STATIC} MATCHES "1")
+	MESSAGE(STATUS "Compile static")
+	ADD_DEFINITIONS(-DCOMPILE_STATIC)
+	SET(LIB_TYPE STATIC)
+	ADD_SUBDIRECTORY(lua lua)
+	ADD_SUBDIRECTORY(tinyxml tinyxml)
+	SET(LUA_LIBRARY_PATH "lua")
+	SET(LUA_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/lua-dev")
+	SET(TINYXML_LIBRARY_PATH "tinyxml")
+	SET(TINYXML_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/tinyxml")
+ELSE($ENV{COMPILE_STATIC} MATCHES "1")
+	MESSAGE(STATUS "Compile dynamic")
+	SET(LIB_TYPE SHARED)
+	
+	INCLUDE(cmake_find_modules/Find_lua.cmake)
+	IF(NOT LUA_FOUND)
+		ADD_SUBDIRECTORY(lua lua)
+	ENDIF(NOT LUA_FOUND)
+
+	INCLUDE(cmake_find_modules/Find_tinyxml.cmake)
+	IF(NOT TINYXML_FOUND)
+		ADD_SUBDIRECTORY(tinyxml tinyxml)
+	ENDIF(NOT TINYXML_FOUND)
+ENDIF($ENV{COMPILE_STATIC} MATCHES "1")
+
+ADD_DEFINITIONS(-DHAS_LUA)
+
+INCLUDE(cmake_find_modules/Find_v8.cmake)
+IF(V8_FOUND)
+    ADD_DEFINITIONS(-DHAS_V8)
+ENDIF(V8_FOUND)
 
 #memory pool
 #ADD_DEFINITIONS(-DUSE_MEM_POOL)
@@ -152,22 +183,12 @@
 
 
 #ADD_DEFINITIONS(-DHAS_SAFE_LOGGER)
-INCLUDE(cmake_find_modules/Find_lua.cmake)
-IF(NOT LUA_FOUND)
-	ADD_SUBDIRECTORY(lua lua)
-ENDIF(NOT LUA_FOUND)
-INCLUDE(cmake_find_modules/Find_tinyxml.cmake)
-IF(NOT TINYXML_FOUND)
-	ADD_SUBDIRECTORY(tinyxml tinyxml)
-ENDIF(NOT TINYXML_FOUND)
 ADD_SUBDIRECTORY(common common)
 ADD_SUBDIRECTORY(thelib thelib)
+ADD_SUBDIRECTORY(vm vm)
+ADD_SUBDIRECTORY(applications applications)
 ADD_SUBDIRECTORY(crtmpserver crtmpserver)
-ADD_SUBDIRECTORY(applications applications)
+ADD_SUBDIRECTORY(vmtests vmtests)
+ADD_SUBDIRECTORY(tests)
 #ADD_SUBDIRECTORY(androidapplestreaming androidapplestreaming)
 
-ADD_DEFINITIONS(-DVM_LUA)
-ADD_SUBDIRECTORY(vm vm)
-ADD_SUBDIRECTORY(vmtests vmtests)
-ADD_SUBDIRECTORY(tests)
-
