=== debian/changelog ===
crtmpserver (0.0~dfsg+svn474-2) unstable; urgency=low

  * Team upload.
  * Fixed search of libraries in cmake rules (Closes: #642707)
    Thanks to Andriy Beregovenko <jet@jet.kiev.ua> for providing the patch

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 03 Oct 2011 13:20:07 +0200

crtmpserver (0.0~dfsg+svn474-1) unstable; urgency=low

  [ Andriy Beregovenko ]
  * Update debian changelog.
  * Imported Upstream version 0.0~dfsg+svn474.
  * Update patches relative to new upstream upload.

  [ Alessio Treglia ]
  * Add script to retrieve sources from upstream's SVN and regenerate the
    tarball.

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Mon, 06 Jun 2011 19:41:18 +0300
