=== debian/control ===
Source: crtmpserver
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Andriy Beregovenko <jet@jet.kiev.ua>
Build-Depends: cmake,
 debhelper (>= 7.3.7~),
 liblua5.1-0-dev,
 libssl-dev,
 libtinyxml-dev
Standards-Version: 3.9.2
Homepage: http://www.rtmpd.com
Vcs-Git: git://git.debian.org/pkg-multimedia/crtmpserver.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/crtmpserver.git;a=summary

Package: crtmpserver
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 openssl,
 liblua5.1-0
Description: High performance RTMP/RTSP streaming server
 crtmpserver is a high performance streaming server able to stream
 (live or recorded) in the following technologies:
  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
  - To and from embedded devices: iPhone, Android
  - From surveillance cameras
  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
 .
 Also, crtmpserver can be used as a high performance rendes-vous server.
 For example, it enables you to do:
  - Audio/Video conferencing
  - Online gaming
  - Online collaboration
  - Simple/complex chat applications
