=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_FLAGS)
+
+get-orig-source:
+	debian/get-svn-source.sh
