## crtmpserver 0.0~dfsg+svn611.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,11 +44,7 @@
 SET(OpenSSL_FIND_REQUIRED true)
 SET(CRYPTO_FIND_REQUIRED true)
 INCLUDE(cmake_find_modules/Find_openssl.cmake)
-
-IF(NOT DEFINED NO_USE_DL)
-	INCLUDE(cmake_find_modules/Find_dl.cmake)
-ENDIF(NOT DEFINED NO_USE_DL)
-
+INCLUDE(cmake_find_modules/Find_dl.cmake)
 INCLUDE(cmake_find_modules/pch_support.cmake)
 INCLUDE(CMakeDetermineSystem)
 INCLUDE(TestBigEndian)
@@ -67,17 +63,19 @@
 #supported features
 ADD_DEFINITIONS(-DHAS_PROTOCOL_HTTP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMP)
-ADD_DEFINITIONS(-DHAS_PROTOCOL_RTMFP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_LIVEFLV)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_RTP)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_TS)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_VAR)
 ADD_DEFINITIONS(-DHAS_PROTOCOL_CLI)
 #ADD_DEFINITIONS(-DHAS_PROTOCOL_MMS)
+ADD_DEFINITIONS(-DHAS_PROTOCOL_HLS)
+ADD_DEFINITIONS(-DHAS_PROTOCOL_RAWHTTPSTREAM)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP3)
 ADD_DEFINITIONS(-DHAS_MEDIA_MP4)
 ADD_DEFINITIONS(-DHAS_MEDIA_FLV)
 ADD_DEFINITIONS(-DHAS_MEDIA_NSV)
+ADD_DEFINITIONS(-DHAS_SYSLOG)
 IF($ENV{COMPILE_STATIC} MATCHES "1")
 	MESSAGE(STATUS "Compile static")
 	ADD_DEFINITIONS(-DCOMPILE_STATIC)
@@ -88,6 +86,12 @@
 	SET(LUA_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/lua-dev")
 	SET(TINYXML_LIBRARY_PATH "tinyxml")
 	SET(TINYXML_INCLUDE_PATH "${CRTMPSERVER_3RDPARTY_ROOT}/tinyxml")
+	SET(TEMP_EXE_LINK_C_FLAGS "${CMAKE_EXE_LINK_STATIC_C_FLAGS} -static")
+	SET(TEMP_EXE_LINK_CXX_FLAGS "${CMAKE_EXE_LINK_STATIC_CXX_FLAGS} -static")
+	SET(CMAKE_EXE_LINK_DYNAMIC_C_FLAGS ${TEMP_EXE_LINK_C_FLAGS})
+	SET(CMAKE_EXE_LINK_DYNAMIC_CXX_FLAGS ${TEMP_EXE_LINK_CXX_FLAGS})
+	SET(CMAKE_EXE_LINK_STATIC_C_FLAGS ${TEMP_EXE_LINK_C_FLAGS})
+	SET(CMAKE_EXE_LINK_STATIC_CXX_FLAGS ${TEMP_EXE_LINK_CXX_FLAGS})
 ELSE($ENV{COMPILE_STATIC} MATCHES "1")
 	MESSAGE(STATUS "Compile dynamic")
 	SET(LIB_TYPE SHARED)
@@ -103,12 +107,17 @@
 	ENDIF(NOT TINYXML_FOUND)
 ENDIF($ENV{COMPILE_STATIC} MATCHES "1")
 
+#fine tunning
+ADD_DEFINITIONS(-DCreateRTCPPacket=CreateRTCPPacket_mystyle_only_once)
+ADD_DEFINITIONS(-DFeedDataAudioMPEG4Generic=FeedDataAudioMPEG4Generic_one_by_one)
+ADD_DEFINITIONS(-DHandleTSVideoData=HandleVideoData_version3)
+
 ADD_DEFINITIONS(-DHAS_LUA)
 
-INCLUDE(cmake_find_modules/Find_v8.cmake)
-IF(V8_FOUND)
-    ADD_DEFINITIONS(-DHAS_V8)
-ENDIF(V8_FOUND)
+#INCLUDE(cmake_find_modules/Find_v8.cmake)
+#IF(V8_FOUND)
+#    ADD_DEFINITIONS(-DHAS_V8)
+#ENDIF(V8_FOUND)
 
 #memory pool
 #ADD_DEFINITIONS(-DUSE_MEM_POOL)
@@ -116,6 +125,9 @@
 
 SET(GENERIC_FLAGS "-Wall -Werror")
 
+#add 64 bit support for 32 but platforms
+ADD_DEFINITIONS(-D__USE_FILE_OFFSET64)
+ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64)
 MESSAGE(STATUS "We have a ${CMAKE_SYSTEM} system")
 IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
 	SET(GENERIC_FLAGS "${GENERIC_FLAGS} -fPIC")
@@ -158,14 +170,6 @@
 	MESSAGE(FATAL_ERROR "Platform ${CMAKE_SYSTEM_NAME} not supported yet")
 ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
 
-IF(DEFINED MY_OUTPUT_DIRECTORY)
-	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
-	SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
-	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
-	SET(CMAKE_INSTALL_PREFIX "$ORIGIN")
-	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}")
-ENDIF(DEFINED MY_OUTPUT_DIRECTORY)
-
 #debug/release
 SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GENERIC_FLAGS}")
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GENERIC_FLAGS}")
@@ -185,10 +189,10 @@
 #ADD_DEFINITIONS(-DHAS_SAFE_LOGGER)
 ADD_SUBDIRECTORY(common common)
 ADD_SUBDIRECTORY(thelib thelib)
-ADD_SUBDIRECTORY(vm vm)
+#ADD_SUBDIRECTORY(vm vm)
 ADD_SUBDIRECTORY(applications applications)
 ADD_SUBDIRECTORY(crtmpserver crtmpserver)
-ADD_SUBDIRECTORY(vmtests vmtests)
+#ADD_SUBDIRECTORY(vmtests vmtests)
 ADD_SUBDIRECTORY(tests)
 #ADD_SUBDIRECTORY(androidapplestreaming androidapplestreaming)
