=== common/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,14 @@
 ADD_LIBRARY(${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
 ADD_PRECOMPILED_HEADER(${PROJECT_NAME} "${CRTMPSERVER_SOURCES_ROOT}/common/include/common.h")
 IF(${LIB_TYPE} MATCHES "SHARED")
-	TARGET_LINK_LIBRARIES(${PROJECT_NAME} ${LUA_LIBRARY_PATH} ${TINYXML_LIBRARY_PATH} ${OPENSSL_LIBRARY_PATH} ${CRYPTO_LIBRARY_PATH})
+	TARGET_LINK_LIBRARIES(
+		${PROJECT_NAME} 
+		${LUA_LIBRARY_PATH} 
+		${TINYXML_LIBRARY_PATH} 
+		${OPENSSL_LIBRARY_PATH} 
+		${CRYPTO_LIBRARY_PATH} 
+		${Z_LIBRARY_PATH}
+	)
 	INSTALL(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION ${CRTMPSERVER_ROOT})
 ENDIF(${LIB_TYPE} MATCHES "SHARED")
