=== debian/changelog ===
crtmpserver (0.0~dfsg+svn611.1-2) unstable; urgency=low

  * Fixed upgrade from version <= 0.0~dfsg+svn474-2

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Wed, 21 Dec 2011 02:40:04 +0200

crtmpserver (0.0~dfsg+svn611.1-1) unstable; urgency=low

  [ Andriy Beregovenko ]
  * New upstream version.
  * Split package to four packages: crtmpserver-libs, crtmpserver-apps,
    crtmpserver-dev, crtmpserver.
  * Add RC script and defaults file for it.
  * A new configuration system, serving the configuration of the server.
    The system is based on the original configuration file that is divided
    into parts (by applications and features). Read README.Debian for more
    information.

 -- Andriy Beregovenko <jet@jet.kiev.ua>  Mon, 21 Nov 2011 00:55:45 +0200
