=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>,
  Andriy Beregovenko <jet@jet.kiev.ua>
-Build-Depends: cmake,
+Build-Depends:
+ cmake,
  debhelper (>= 7.3.7~),
  liblua5.1-0-dev,
  libssl-dev,
@@ -12,14 +14,15 @@
 Standards-Version: 3.9.2
 Homepage: http://www.rtmpd.com
 Vcs-Git: git://git.debian.org/pkg-multimedia/crtmpserver.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/crtmpserver.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/crtmpserver.git;a=summary
 
 Package: crtmpserver
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ crtmpserver-apps,
+ crtmpserver-libs,
  ${misc:Depends},
- openssl,
- liblua5.1-0
+ ${shlibs:Depends}
 Description: High performance RTMP/RTSP streaming server
  crtmpserver is a high performance streaming server able to stream
  (live or recorded) in the following technologies:
@@ -34,3 +37,64 @@
   - Online gaming
   - Online collaboration
   - Simple/complex chat applications
+
+Package: crtmpserver-libs
+Architecture: any
+Replaces: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Breaks: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Depends:
+ liblua5.1-0,
+ libtinyxml2.6.2,
+ openssl,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: shared libraries for the crtmpserver platform
+ crtmpserver is a high performance streaming server able to stream
+ (live or recorded) in the following technologies:
+  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
+  - To and from embedded devices: iPhone, Android
+  - From surveillance cameras
+  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
+ .
+ This package contains shared libraries('thelib' and 'common') 
+ for the crtmpserver platform and its applications.
+
+Package: crtmpserver-apps
+Architecture: any
+Replaces: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Breaks: crtmpserver (<< 0.0~dfsg+svn611.1-1)
+Depends:
+ crtmpserver-libs(>= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: base applications for the crtmpserver platform
+ crtmpserver is a high performance streaming server able to stream
+ (live or recorded) in the following technologies:
+  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
+  - To and from embedded devices: iPhone, Android
+  - From surveillance cameras
+  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
+ .
+ This package contains the set of basic applications that provide
+ most frequently used feature like VOD, live streaming and proxying
+ rtmp/rtsp/mpeg-ts streams.
+
+Package: crtmpserver-dev
+Architecture: any
+Depends:
+ crtmpserver-libs(= ${binary:Version}),
+ liblua5.1-0-dev,
+ libssl-dev,
+ libtinyxml-dev,
+ ${misc:Depends}
+Description: Development files for the crtmpserver platform
+ crtmpserver is a high performance streaming server able to stream
+ (live or recorded) in the following technologies:
+  - To and from Flash (RTMP,RTMPE, RTMPS, RTMPT, RTMPTE)
+  - To and from embedded devices: iPhone, Android
+  - From surveillance cameras
+  - IP-TV using MPEG-TS and RTSP/RTCP/RTP protocols
+ .
+ This package contains header files for base crtmpserver libraries
+ 'common' and 'thelib'.
+
