=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,5 @@
 
 get-orig-source:
 	debian/get-svn-source.sh
+
+.PHONY: get-orig-source
